Bug 247642 - Review Request: perl-Net-DNS-Resolver-Programmable - Programmable DNS resolver class for offline emulation of DNS
Review Request: perl-Net-DNS-Resolver-Programmable - Programmable DNS resolve...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 247705
  Show dependency treegraph
 
Reported: 2007-07-10 13:03 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 12:42:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-10 13:03:51 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Net-DNS-Resolver-Programmable/perl-Net-DNS-Resolver-Programmable.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Net-DNS-Resolver-Programmable-0.003-1.src.rpm
Description:
Net::DNS::Resolver::Programmable is a Net::DNS::Resolver descendant class
that allows a virtual DNS to be emulated instead of querying the real DNS.
A set of static DNS records may be supplied, or arbitrary code may be
specified as a means for retrieving DNS records, or even generating them
on the fly.
Comment 1 Jason Tibbitts 2007-07-10 21:04:49 EDT
Not much to say.

* source files match upstream:
   8d402260941f259c83bf1b2564408e75288df028f604136c29da11a9a6a076ec  
   Net-DNS-Resolver-Programmable-v0.003.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Net::DNS::Resolver::Programmable)
   perl-Net-DNS-Resolver-Programmable = 0.003-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Net::DNS::Packet)
   perl(base)
   perl(constant)
   perl(strict)
   perl(version)
   perl(warnings)
* %check is present, but there aren't any tests to run.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Steven Pritchard 2007-07-10 21:24:10 EDT
New Package CVS Request
=======================
Package Name: perl-Net-DNS-Resolver-Programmable
Short Description: Programmable DNS resolver class for offline emulation of DNS
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Kevin Fenzi 2007-07-10 22:03:09 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.